import sys,os
sys.path.append('\\SD Card\\DEV\\Python24\\DLLs')
from Tkinter import *
import tkFileDialog,tkMessageBox

## Font
if os.name.lower() == 'ce':
    fonts=("Thaoma",'7')
    fontm=("Thaoma",'8')
    fontl=("Thaoma",'10')
else:
    fonts=("Thaoma",'10')
    fontm=fonts
    fontl=fonts

## Classi speciali definite in base all'apetto grafico ed altro...

### Classe Button (Blu e Nero)(Menu)
class BNButton(Button):
    def __init__(self,parent,*args,**kwargs):
        kwargs['relief']=RIDGE
        kwargs['fg']='blue'
        kwargs['bg']='black'
        kwargs['font']=fontm
        Button.__init__(self,parent,*args,**kwargs)

### Classe Text (Rossso e Nero)
class RNText(Text):
    def __init__(self,parent,*args,**kwargs):
        kwargs['relief']=RIDGE
        kwargs['fg']='red'
        kwargs['bg']='black'
        kwargs['font']=fontm
        #kwargs['bd']=0
        Text.__init__(self,parent,*args,**kwargs)

### Classe Listbox (Verde e Nero)(Mano)
class VNListbox(Listbox):
    def __init__(self,parent,*args,**kwargs):
        kwargs['relief']=RIDGE
        kwargs['fg']='green'
        kwargs['bg']='black'
        kwargs['font']=fonts
        kwargs['bd']=0
        kwargs['selectmode']=EXTENDED
        Listbox.__init__(self,parent,*args,**kwargs)

### Classe Listbox (Arancio e Nero)(Gioco)
class ANListbox(Listbox):
    def __init__(self,parent,*args,**kwargs):
        kwargs['relief']=RIDGE
        kwargs['fg']='orange'
        kwargs['bg']='black'
        kwargs['font']=fonts
        kwargs['bd']=0
        kwargs['selectmode']=EXTENDED
        Listbox.__init__(self,parent,*args,**kwargs)

### Classe Listbox (Blu e Nero)(Grimorio)
class BNListbox(Listbox):
    def __init__(self,parent,*args,**kwargs):
        kwargs['relief']=RIDGE
        kwargs['fg']='blue'
        kwargs['bg']='black'
        kwargs['font']=fonts
        kwargs['bd']=0
        kwargs['selectmode']=EXTENDED
        Listbox.__init__(self,parent,*args,**kwargs)

### Classe Listbox (Rosso e Nero)(Log e Cimitero)
class RNListbox(Listbox):
    def __init__(self,parent,*args,**kwargs):
        kwargs['relief']=RIDGE
        kwargs['fg']='red'
        kwargs['bg']='black'
        kwargs['font']=fonts
        kwargs['bd']=0
        #kwargs['selectmode']=EXTENDED
        Listbox.__init__(self,parent,*args,**kwargs)

### Classe MenuButton (Arancio e Nero)
class ANMenuB(Menubutton):
    def __init__(self,parent,*args,**kwargs):
        kwargs['relief']=RIDGE
        kwargs['fg']='orange'
        kwargs['bg']='black'
        kwargs['font']=fontm
        kwargs['activebackground']='#2F0000'
        kwargs['activeforeground']='red'
        kwargs['padx']=1
        kwargs['pady']=1
        Menubutton.__init__(self,parent,*args,**kwargs)

### Classe Menu (Arancio e Nero)(Prog)
class ANMenu(Menu):
    def __init__(self,parent,*args,**kwargs):
        kwargs['relief']=RIDGE
        kwargs['fg']='orange'
        kwargs['bg']='#2F0000'
        kwargs['font']=fontm
        Menu.__init__(self,parent,*args,**kwargs)

### Classe MenuButton (Blu e Nero)
class BNMenuB(Menubutton):
    def __init__(self,parent,*args,**kwargs):
        kwargs['relief']=RIDGE
        kwargs['fg']='blue'
        kwargs['bg']='black'
        kwargs['font']=fontm
        kwargs['activebackground']='#2F0000'
        kwargs['activeforeground']='red'
        kwargs['padx']=1
        kwargs['pady']=1
        Menubutton.__init__(self,parent,*args,**kwargs)

### Classe Frame (Nero)
class NFrame(Frame):
    def __init__(self,parent,*args,**kwargs):
        kwargs['relief']=RIDGE
        kwargs['bg']='black'
        kwargs['bd']=0
        Frame.__init__(self,parent,*args,**kwargs)

### Classe Frame (Rosso e Nero)
class RNLabel(Label):
    def __init__(self,parent,*args,**kwargs):
        #kwargs['relief']=RIDGE
        kwargs['fg']='red'
        kwargs['bg']='black'
        kwargs['font']=fonts
        Label.__init__(self,parent,*args,**kwargs)

### Classe Entry (Rosso e Nero)
class RNEntry(Entry):
    def __init__(self,parent,*args,**kwargs):
        kwargs['relief']=RIDGE
        kwargs['fg']='red'
        kwargs['bg']='black'
        kwargs['font']=fontm
        kwargs['insertbackground']='red'
        Entry.__init__(self,parent,*args,**kwargs)

### Classe Entry (RossoScuro e Nero)
class MNEntry(Entry):
    def __init__(self,parent,*args,**kwargs):
        kwargs['relief']=RIDGE
        kwargs['bg']='#990010'
        kwargs['fg']='black'
        kwargs['font']=fontm
        kwargs['justify']=CENTER
        kwargs['bd']=0
        Entry.__init__(self,parent,*args,**kwargs)
