#!/usr/bin/python
import sys,os,random,ConfigParser
from os.path import basename,splitext
from os import sep
from ConfigParser import SafeConfigParser
sys.path.append('\\SD Card\\DEV\\Python24\\DLLs')
from Tkinter import *
import tkFileDialog,tkMessageBox

### Percorsi dei vari files
droot=''
ddecks=droot+'Decks'+sep
#CE
if os.name.lower() == 'ce':
    OS='ce'
    droot='\\SD Card\\PocketMTG\\'
    dtheme=droot+'Theme'+sep+sep
#Windows
elif os.name.lower() == 'nt':
    OS='nt'
#altro
else:
    OS=os.name.lower()

dtheme=droot+'Theme'+sep
dpics=droot+'Pics'+sep

### Impostazioni
#Utente
confutente=SafeConfigParser()
confutente.read(droot+'Config'+sep+'utente.txt')
giocatore=confutente.get('Nomi','giocatore')
avversario=confutente.get('Nomi','avversario')

#Caricamento del file di lingua
flingua=confutente.get('Lingua','file')
conflingua=SafeConfigParser()
conflingua.read(droot+'Config'+sep+flingua)


#GUI
lnontrovata=conflingua.get('GUI','nontrovata')

#Voci di Menu
lmenu=conflingua.get('Menu','menu')
lfile=conflingua.get('Menu','file')
laprim=conflingua.get('Menu','aprim')
lcaricap=conflingua.get('Menu','caricap')
lsalvap=conflingua.get('Menu','salvap')
lsalvalog=conflingua.get('Menu','salvalog')
lfiletesto=conflingua.get('Menu','filetesto')
lpreferenze=conflingua.get('Menu','preferenze')
lesci=conflingua.get('Menu','esci')
lazioni=conflingua.get('Menu','azioni')
lleggimi=conflingua.get('Menu','leggimi')
lmescola=conflingua.get('Menu','mescola')
lordina=conflingua.get('Menu','ordina')
lazzeragioco=conflingua.get('Menu','azzeragioco')
lcreapedina=conflingua.get('Menu','creapedina')
limpostafr=conflingua.get('Menu','impostafr')
lscartacaso=conflingua.get('Menu','scartacaso')
ltavolo=conflingua.get('Menu','tavolo')
linfo=conflingua.get('Menu','info')
lstappatutto=conflingua.get('Menu','stappatutto')
lcaso=conflingua.get('Menu','caso')
lzone=conflingua.get('Menu','zone')
lguardaimg=conflingua.get('Menu','guardaimg')
lnascondiimg=conflingua.get('Menu','nascondiimg')
lcontazone=conflingua.get('Menu','contazone')

#Aiuto
labout=conflingua.get('Aiuto','about')
laiuto=conflingua.get('Aiuto','aiuto')
lcontattami=conflingua.get('Aiuto','contattami')

#Messaggi vari
lcaricato=conflingua.get('Messaggi','caricato')
ltest=conflingua.get('Messaggi','test')
lavviso=conflingua.get('Messaggi','avviso')
lerrore=conflingua.get('Messaggi','errore')
lnomazzo=conflingua.get('Messaggi','nomazzo')
lnocaricato=conflingua.get('Messaggi','nocaricato')
llogfile=conflingua.get('Messaggi','logfile')
llogsalvato=conflingua.get('Messaggi','logsalvato')
llognosalvato=conflingua.get('Messaggi','lognosalvato')
lconfermaesci=conflingua.get('Messaggi','confermaesci')
lbenvenuto=conflingua.get('Messaggi','benvenuto')
lok=conflingua.get('Messaggi','ok')
lannulla=conflingua.get('Messaggi','annulla')
lchiudi=conflingua.get('Messaggi','chiudi')
linseriscin=conflingua.get('Messaggi','inseriscin')
lerroreaggiungic=conflingua.get('Messaggi','erroreaggiungic')
lqualen=conflingua.get('Messaggi','qualen')
lcincimagrimorio=conflingua.get('Messaggi','cincimagrimorio')
lcinfondogrimorio=conflingua.get('Messaggi','cinfondogrimorio')
lmetteinmanogrimorio=conflingua.get('Messaggi','metteinmanogrimorio')
lmetteinmanocimitero=conflingua.get('Messaggi','metteinmanocimitero')
lguardandogrimorio=conflingua.get('Messaggi','guardandogrimorio')
lnoguardandogrimorio=conflingua.get('Messaggi','noguardandogrimorio')

#Gioco
lpesca=conflingua.get('Gioco','pesca')
lpesca7c=conflingua.get('Gioco','pesca7c')
lmulligan=conflingua.get('Gioco','mulligan')
lcarta=conflingua.get('Gioco','carta')
lcarte=conflingua.get('Gioco','carte')
lmescolagrimorio=conflingua.get('Gioco','mescolagrimorio')
lottiene=conflingua.get('Gioco','ottiene')
llanciamoneta=conflingua.get('Gioco','lanciamoneta')
ltesta=conflingua.get('Gioco','testa')
lcroce=conflingua.get('Gioco','croce')
lncarte=conflingua.get('Gioco','ncarte')
lnmano=conflingua.get('Gioco','nmano')
lngioco=conflingua.get('Gioco','ngioco')
lncimitero=conflingua.get('Gioco','ncimitero')
lngrimorio=conflingua.get('Gioco','ngrimorio')
lgioca=conflingua.get('Gioco','gioca')
ltappa=conflingua.get('Gioco','tappa')
lstappa=conflingua.get('Gioco','stappa')
lscarta=conflingua.get('Gioco','scarta')
lattacca=conflingua.get('Gioco','attacca')
lblocca=conflingua.get('Gioco','blocca')
lguarda=conflingua.get('Gioco','guarda')
lnascondi=conflingua.get('Gioco','nascondi')
lguardaa=conflingua.get('Gioco','guardaa')
lnascondia=conflingua.get('Gioco','nascondia')
lsacrifica=conflingua.get('Gioco','sacrifica')
linmano=conflingua.get('Gioco','inmano')
lincimitero=conflingua.get('Gioco','incimitero')
lincima=conflingua.get('Gioco','incima')
linfondo=conflingua.get('Gioco','infondo')
limposta=conflingua.get('Gioco','imposta')
laggiunginota=conflingua.get('Gioco','aggiunginota')
lcontatore=conflingua.get('Gioco','contatore')
lscambiac=conflingua.get('Gioco','scambiac')
lcombattimento=conflingua.get('Gioco','combattimento')
ld20=conflingua.get('Gioco','d20')

#Turni
lturni=conflingua.get('Turni','turni')
lfiniziale=conflingua.get('Turni','finiziale')
lfstap=conflingua.get('Turni','fstap')
lfmantenimento=conflingua.get('Turni','fmantenimento')
lfacquisizione=conflingua.get('Turni','facquisizione')
lfprincipale=conflingua.get('Turni','fprincipale')
lfcombattimento=conflingua.get('Turni','fcombattimento')
lfinizioc=conflingua.get('Turni','finizioc')
lfattaccanti=conflingua.get('Turni','fattaccanti')
lfbloccanti=conflingua.get('Turni','fbloccanti')
lfdanni=conflingua.get('Turni','fdanni')
lffinec=conflingua.get('Turni','ffinec')
lfprincipale2=conflingua.get('Turni','fprincipale2')
lffinale=conflingua.get('Turni','ffinale')
lfcancellazione=conflingua.get('Turni','fcancellazione')
lffinet=conflingua.get('Turni','ffinet')

### Setta il file di mazzo
fmazzo=None
if fmazzo==None:
    try:
        fmazzo=sys.argv[1]
    except IndexError:
        pass

### Importa gli stili settati (style.py)
from style import *

### Classe Mazzo
class Mazzo:

    ### Dizionari per il packing
    dpT={'side':TOP}
    dpTB={'side':TOP,'fill':BOTH}
    dpTBE={'side':TOP,'fill':BOTH,'expand':YES}
    dpB={'side':BOTTOM}
    dpBB={'side':BOTTOM,'fill':BOTH}
    dpBBE={'side':BOTTOM,'fill':BOTH,'expand':YES}
    dpL={'side':LEFT}
    dpLB={'side':LEFT,'fill':BOTH}
    dpLBE={'side':LEFT,'fill':BOTH,'expand':YES}
    dpR={'side':RIGHT}
    dpRB={'side':RIGHT,'fill':BOTH}
    dpRBE={'side':RIGHT,'fill':BOTH,'expand':YES}

    def x(self):
        tkMessageBox.showerror(lavviso,ltest)

    ### Funzioni di menu
    def puliscigioco(self):
         try:
             self.lmano.delete(0,END)
             self.lgioco.delete(0,END)
             self.lcimitero.delete(0,END)
             self.lgrimorio.delete(0,END)
             self.vitag.delete(0,END)
             self.vitag.insert(0,'20')
             self.vitaa.delete(0,END)
             self.vitaa.insert(0,'20')
             self.nmulligan=8
         except AttributeError:
             pass

    def apri(self,event=None):
        try:
            fmazzo=tkFileDialog.askopenfilename(filetypes=[("MWDeck files",".mwdeck"),("DEC files",".dec"),("All files","*")],initialdir=ddecks,title=laprim)
            fmazzo=fmazzo.replace('/',sep)
            file=basename(fmazzo)
            self.syslog(lcaricato+' \"'+file+'\"')
            nuovotitolo='PocketMTG - '+file
            root.title(nuovotitolo)
            self.importadeck(fmazzo)
            self.puliscigioco()
        except IOError:
            tkMessageBox.showerror(lerrore,lnomazzo)
            nuovotitolo='PocketMTG - '+lnocaricato
            root.title(nuovotitolo)

    def salvalog(self):
        try:
            flog=tkFileDialog.asksaveasfilename(filetypes=[(lfiletesto,".txt"),("All files","*")],title=lsalvalog,initialdir=droot,initialfile=llogfile)
            log=open(flog,"w")
            print self.tlog
            testo=self.tlog.get()
            log.write(testo)
            log.close()
            tkMessageBox.showerror(lavviso,llogsalvato)
        except IOError:
            tkMessageBox.showerror(lerrore,llognosalvato)

    def esci(self,event=None):
        if tkMessageBox.askokcancel(lesci,lconfermaesci):
            root.quit()

    def about(self):
        top=Toplevel()
        top.title('About')
        top.resizable(0,0)
        top.focus_set()
        testo=labout.replace('\\n','\n')
        info=RNLabel(top,text=testo)
        info.pack(side=TOP,padx=2,pady=1)
        button=BNButton(top, text=lannulla, command=top.destroy)
        button.pack(side=BOTTOM,fill=X)

    def leggimi(self):
        top=Toplevel()
        top.title(lleggimi)
        top.focus_set()
        vleggimi=NFrame(top,height='200',width='200')
        vleggimi.pack(fill=BOTH,expand=1)
        sleggimiy=Scrollbar(vleggimi)
        sleggimiy.pack(side=RIGHT,fill=Y)
        tleggimi=RNText(vleggimi,yscrollcommand=sleggimiy.set)
        tleggimi.pack(self.dpLBE)
        leggimi=file('leggimi.txt')
        for riga in leggimi: tleggimi.insert(END,riga)
        sleggimiy['command']=tleggimi.yview
        button=BNButton(top, text=lannulla,command=top.destroy)
        button.pack(side=BOTTOM,fill=X)

    ### Funzioni di chat [ancora in sp :(]
    def inviamessaggio(self,event):
        messaggio='*'+giocatore+': '+self.messaggi.get()+'\n'
        self.tlog.insert(END,messaggio)
        self.messaggi.delete(0,END)

    ### Funzioni di log
    def log(self,mlog):
        mlog=giocatore+': '+mlog+'\n'
        self.tlog.insert(END,mlog)

    def syslog(self,msyslog):
        msyslog='-- '+giocatore+': '+msyslog+' --\n'
        self.tlog.insert(END,msyslog)

    def turnlog(self,mturnlog):
        mturnlog='<'+giocatore+': '+mturnlog+'>\n'
        self.tlog.insert(END,mturnlog)

    ### Parsing ed importazione del mazzo
    def importadeck(self,fmazzo):
        self.puliscigioco()
        self.mazzo=[]
        filedeck=file(fmazzo)
        for riga in filedeck:
            riga=str(riga)
            if riga[0]=='/': continue
            #Sideboard (ancora nn gestita)
            if riga[0]=='S' and riga[1]=='B' and riga[2]==':': continue
            riga=riga.strip()
            if riga=='': continue
            ### Parsing specifico per i DEC
            estensionefile=splitext(basename(fmazzo))[1]
            if estensionefile=='.dec':
                qta,nomecarta=riga.split(' ',1)
                espansione=''
            ### Parsing generico/di ricaduta (MWDECK)
            else:
                qta,espansione,nomecarta=riga.split(' ',2)
                espansione=espansione[1:-1].lower()
            if nomecarta.find(' (')!=-1: nomecarta,numeroimmagine=nomecarta.split(' (',1)
            nomecarta=nomecarta.replace('/','_')
            nomecarta=nomecarta.replace(':','_')
            self.mazzo.extend([nomecarta for i in range(int(qta))])
        self.mescolagrimorio()

    def pescacarta(self,event=None):
        if self.lgrimorio.get(0,END)==(): return None
        if self.nmulligan==8:
            tkMessageBox.showerror(lavviso,lpesca7c+'...')
        else:
            cartaincima=self.lgrimorio.get(0)
            self.lmano.insert(END,cartaincima)
            self.log(lpesca)
            self.guardamano()
            self.lgrimorio.delete(0)
            self.mazzo.pop(0)

    def mescolagrimorio(self,event=None):
        self.lgrimorio.delete(0,END)
        random.shuffle(self.mazzo)
        for carta in self.mazzo: self.lgrimorio.insert(END, carta)
        self.log(lmescolagrimorio)

    def mulligan(self,event=None):
        try:
            self.lgrimorio.delete(0,END)
            for carta in self.mazzo:
                self.lgrimorio.insert(END, carta)
            self.lmano.delete(0,END)
            self.nmulligan-=1
            for i in range(self.nmulligan):
                self.pescacarta()
            if self.nmulligan==7: self.log('('+lpesca7c+')')
            if 1<self.nmulligan<7:
                self.log(lmulligan)
                self.log('('+lpesca+' '+str(self.nmulligan)+' '+lcarte+')')
        except AttributeError:
            tkMessageBox.showerror(lavviso,lnomazzo)

    def lanciamoneta(self,event=None):
        n=random.randint(0,1)
        if n==0:
            lancio=ltesta
        else:
            lancio=lcroce
        self.log(lottiene+' \"'+lancio+'\"')

    def tirad20(self,event=None):
        d20=str(random.randint(1,20))
        self.log(lottiene+' \"'+d20+'\"')

    def contazone(self):
        top=Toplevel()
        top.title(lncarte)
        top.resizable(0,0)
        top.focus_set()
        vcontazone=NFrame(top,width='100')
        vcontazone.pack(fill=BOTH)
        mano=len(self.lmano.get(0,END))
        gioco=len(self.lgioco.get(0,END))
        cimitero=len(self.lcimitero.get(0,END))
        grimorio=len(self.lgrimorio.get(0,END))
        testog=giocatore+'\n'+lnmano+":\t\t%i"%mano+'.\n'+lngioco+":\t\t%i"%gioco+'.\n'+lncimitero+":\t%i"%cimitero+'.\n'+lngrimorio+":\t\t%i"%grimorio+'.'
        testo='\t'+testog# +'\n\n'+'\t'+testoa
        info=RNLabel(top,text=testo,justify=LEFT)
        info.pack(side=TOP,padx=2,pady=1,fill=BOTH)
        button=BNButton(top,text=lannulla,command=top.destroy)
        button.pack(side=BOTTOM,fill=X)

    ### Funzioni di controllo
    def intero(self,event):
        try:
             int(self.vitag.get())
             int(self.vitaa.get())
        except ValueError:
             tkMessageBox.showerror(lerrore,linseriscin)

    ### Azioni sulle Liste
    def visualizzacarta(self,event=None):
        try:
             self.img = PhotoImage(file=dpics+event.widget.get('active')+".gif")
        except TclError:
             self.img = PhotoImage(file=dtheme+lnontrovata+'.gif')
        self.carta['image']=self.img

    def giocacarta(self,event=None):
        if self.lmano.curselection()==(): return None
        selezione=str(self.lmano.curselection())
        self.guardagioco()
        while self.lmano.curselection()!=():
            ultima=selezione.replace("'",'')
            if ultima.find('(')==0: ultima=ultima[1:-1]
            ultima,altro=ultima.split(',',1)
            cartagiocata=self.lmano.get(ultima)
            self.lgioco.insert(END,cartagiocata)
            self.log(lgioca+' \"'+cartagiocata+'\"')
            self.lmano.delete(ultima)
            ultima=altro

    def tappa(self,event=None):
        if self.lgioco.curselection()==(): return None
        selezione=str(self.lgioco.curselection())
        for i in self.lgioco.curselection():
            ultima=selezione.replace("'",'')
            if ultima.find('(')==0: ultima=ultima[1:-1]
            ultima,altro=ultima.split(',',1)
            cartatappata=self.lgioco.get(ultima)
            self.log(ltappa+' \"'+cartatappata+'\"')
            ultima=altro

    def stappa(self,event=None):
        if self.lgioco.curselection()==(): return None
        selezione=str(self.lmano.curselection())
        for x in selezione:
            ultima=selezione.replace("'",'')
            if ultima.find('(')==0: ultima=ultima[1:-1]
            ultima,altro=ultima.split(',',1)
            cartastappata=self.lgioco.get(ultima)
            self.log(lstappa+' \"'+cartastappata+'\"')
            ultima=altro

    def stappatutto(self,event=None):
        if self.lgioco.get(0,END)==(): return None
        tutto=str(self.lgioco.get(0,END))
        for carta in tutto:
            self.stappa()
#            return tutto

    def scartacarta(self,event=None):
        if self.lmano.curselection()==(): return None
        selezione=str(self.lmano.curselection())
        while self.lmano.curselection()!=():
            ultima=selezione.replace("'",'')
            if ultima.find('(')==0: ultima=ultima[1:-1]
            ultima,altro=ultima.split(',',1)
            cartascartata=self.lmano.get(ultima)
            self.lcimitero.insert(END,cartascartata)
            self.log(lscarta+' \"'+cartascartata+'\"')
            self.lmano.delete(ultima)
            ultima=altro

    def scartacartacaso(self,event=None):
        if self.lmano.get(0,END)==(): return None
        indice=random.randint(0,len(self.lmano.get(0,END)))
        cartascartata=self.lmano.get(indice)
        self.lcimitero.insert(END,cartascartata)
        self.log(lscarta+' \"'+cartascartata+'\" '+lcaso)
        self.lmano.delete(indice)

    def sacrifica(self,event=None):
        if self.lgioco.curselection()==(): return None
        selezione=str(self.lgioco.curselection())
        while self.lgioco.curselection()!=():
            ultima=selezione.replace("'",'')
            if ultima.find('(')==0: ultima=ultima[1:-1]
            ultima,altro=ultima.split(',',1)
            carta=self.lgioco.get(ultima)
            self.lcimitero.insert(END,carta)
            self.log(lsacrifica+'\\'+lincimitero+' \"'+carta+'\"')
            self.lgioco.delete(ultima)
            ultima=altro

    def ordinagrimorio(self):
        elenco=[]
        while self.lgrimorio.get(0,END)!=():
            elenco.append(self.lgrimorio.get(0))
            self.lgrimorio.delete(0)
        elenco.sort()
        for carta in elenco:
            self.lgrimorio.insert(END, carta)
        self.log(lordina+' '+lngrimorio)

    def ordinagioco(self):
        elenco=[]
        while self.lgioco.get(0,END)!=():
            elenco.append(self.lgioco.get(0))
            self.lgioco.delete(0)
        elenco.sort()
        for carta in elenco:
            self.lgioco.insert(END, carta)
        self.log(lordina+' '+lgioco)

    def mettiincima(self,event=None):
        if self.lmano.curselection()==(): return None
        selezione=str(self.lmano.curselection())
        while self.lmano.curselection()!=():
            ultima=selezione.replace("'",'')
            if ultima.find('(')==0: ultima=ultima[1:-1]
            ultima,altro=ultima.split(',',1)
            carta=self.lgioco.get(ultima)
            self.lgrimorio.insert(0,carta)
            self.log(lcincimagrimorio+'...')
            self.lmano.delete(ultima)
            ultima=altro

    def mettiinfondo(self,event=None):
        if self.lmano.curselection()==(): return None
        selezione=str(self.lmano.curselection())
        while self.lmano.curselection()!=():
            ultima=selezione.replace("'",'')
            if ultima.find('(')==0: ultima=ultima[1:-1]
            ultima,altro=ultima.split(',',1)
            carta=self.lgioco.get(ultima)
            self.lgrimorio.insert(END,carta)
            self.log(cinfondogrimorio+'...')
            ultima=altro

    def mettiinmanogioco(self,event=None):
        if self.lgioco.curselection()==(): return None
        selezione=str(self.lgioco.curselection())
        while self.lgioco.curselection()!=():
            ultima=selezione.replace("'",'')
            if ultima.find('(')==0: ultima=ultima[1:-1]
            ultima,altro=ultima.split(',',1)
            carta=self.lgioco.get(ultima)
            self.lmano.insert(0,carta)
            self.log(lmettein+' '+lmano+' \"'+carta+'\" dal gioco')
            self.lgioco.delete(ultima)
            ultima=altro

    def mettiinmanogrimorio(self,event=None):
        if self.lgrimorio.curselection()==(): return None
        selezione=str(self.lgrimorio.curselection())
        while self.lgrimorio.curselection()!=():
            ultima=selezione.replace("'",'')
            if ultima.find('(')==0: ultima=ultima[1:-1]
            ultima,altro=ultima.split(',',1)
            carta=self.lgrimorio.get(ultima)
            self.lmano.insert(0,carta)
            self.log(lmetteinmanogrimorio)
            self.lgrimorio.delete(ultima)
            ultima=altro

    def mettiinmanocimitero(self,event=None):
        if self.lcimitero.curselection()==(): return None
        selezione=str(self.lcimitero.curselection())
        while self.lcimitero.curselection()!=():
            ultima=selezione.replace("'",'')
            if ultima.find('(')==0: ultima=ultima[1:-1]
            ultima,altro=ultima.split(',',1)
            carta=self.lcimitero.get(ultima)
            self.lmano.insert(0,carta)
            self.log(lmetteinmanocimitero)
            self.lcimitero.delete(ultima)
            ultima=altro

     ### Finestra per il combattimento ->Classe??
    def fcombattimento(self,event=None):
        ### Chiede l'input dell'indice della carta
        def aggiungic():
            if self.lgioco.get(0,END)==(): return None
            top=Toplevel()
            top.title(lqualen)
            top.resizable(0,0)
            top.focus_set()
            self.entry=RNEntry(top)
            self.entry.pack(fill=X)
            self.entry.bind("<Return>",processaentry)
            bok=BNButton(top, text=lok,command=top.destroy)
            bok.pack(side=BOTTOM,fill=X)
        ### Prende l'input e cerca l'indice
        def processaentry(event):
            if self.entry.get()!=(): n=self.entry.get()
            try:
                n=int(n)-1
            except:
                tkMessageBox.showerror(lerrore,lerroreaggiungic)
                top.focus_set()
            try:
                if 0<=n<=len(self.lgioco.get(0,END)):
                    carta=self.lgioco.get(n)
                    lcg.insert(END,carta)
                    self.log('\"'+carta+'\" '+lattacca)
                    self.entry.delete(0,END)
            except TclError:
                tkMessageBox.showerror(lerrore,erroreaggiungic)
                top.focus_set()
        def togliattacco(): lattaccanti.delete(END)
### Disegna la finestra
        top=Toplevel()
        top.title(lcombattimento)
        top.resizable(0,0)
        top.focus_set()
        scritta=RNLabel(top,text=giocatore+'\t\t'+avversario)
        scritta.pack(self.dpTB)
        lcg=RNListbox(top)
        lcg.pack(self.dpLB)
        lca=RNListbox(top)
        lca.pack(self.dpRB)
        lcg.bind("<Double Button-1>",self.visualizzacarta)
        lcg.bind("<Double Button-1>",self.visualizzacarta)
        bmettia=BNButton(top, text="+ C",command=aggiungic)
        bmettia.pack(side=TOP,fill=X)
        bpuliscia=BNButton(top, text="- C",command=self.x)
        bpuliscia.pack(side=TOP,fill=X)
        bchiudi=BNButton(top, text=lchiudi,command=top.destroy)
        bchiudi.pack(side=BOTTOM,fill=X)

    def attacca(self,event=None):
        if self.lgioco.curselection()==(): return None
        selezione=str(self.lgioco.curselection())
        for x in selezione:
            ultima=selezione.replace("'",'')
            if ultima.find('(')==0: ultima=ultima[1:-1]
            ultima,altro=ultima.split(',',1)
            carta=self.lgioco.get(ultima)
            self.aggiungiattacco()
            self.log('\"'+carta+'\" '+lattacca)
            ultima=altro

    def blocca(self,event=None):
        if self.lgioco.curselection()==(): return None
        selezione=str(self.lgioco.curselection())
        for x in selezione:
            ultima=selezione.replace("'",'')
            if ultima.find('(')==0: ultima=ultima[1:-1]
            ultima,altro=ultima.split(',',1)
            carta=self.lgioco.get(ultima)
            self.log('\"'+carta+'\" '+lblocca)
            ultima=altro

    ### Funzioni di turni e interfase
    def tstap(self):
        self.turnlog(conflingua.get('Turni','istap'))
        self.stappatutto()
    def tmantenimento(self):
        self.turnlog(conflingua.get('Turni','imantenimento'))
    def tacquisizione(self):
        self.turnlog(conflingua.get('Turni','iacquisizione'))
        self.guardamano()
        self.pescacarta()

    def tprincipale(self):
        self.turnlog(lfprincipale)
        self.guardagioco()

    def tinizioc(self):
        self.turnlog(conflingua.get('Turni','iinizioc'))
        self.guardagioco()
        self.fcombattimento()
    def tattaccanti(self):
        self.turnlog(conflingua.get('Turni','idichiarazionea'))
        self.guardagioco()
    def tbloccanti(self):
        self.turnlog(conflingua.get('Turni','iassegnazioneb'))
        self.guardagioco()
    def tdanni(self):
        self.turnlog(conflingua.get('Turni','idanni'))
    def tfinec(self):
        self.turnlog(conflingua.get('Turni','ifinec'))

    def tprincipale2(self):
        self.turnlog(lfprincipale2)
        self.guardagioco()

    def tfinale(self):
        self.turnlog(conflingua.get('Turni','ifinet'))
    def tcancellazione(self):
        self.turnlog(conflingua.get('Turni','icancellazione'))
        self.guardamano()
        if len(self.lmano.get(0,END))>7:
            plus=str(len(self.lmano.get(0,END))-7)
            tkMessageBox.showerror(lavviso, 'Dovresti scartare '+plus+' carte...')

    def tfine(self):
        if len(self.lmano.get(0,END))>7:
            self.tcancellazione()
        else:
            self.turnlog(lffinet+'!')
            self.mostrainfo()

    ### Azioni sulle Viste
    def azzeraviste(self):
        #self.tavolo.forget()
        self.vmano.forget()
        self.vgioco.forget()
        self.vcimitero.forget()
        self.vgrimorio.forget()

    def dimenticainfo(self):
        self.filemb.config(text='*')
        self.aiutomb.forget()
        self.avatarg.forget()
        self.nomeg.forget()
        self.vitag.forget()
        self.nomea.forget()
        self.vitaa.forget()
        self.avatara.forget()
        if OS=='ce':
            self.vlog.forget()
            self.tlog.forget()
            self.slog.forget()

    def dimenticatavolo(self):
        self.azzeraviste()
        self.lmano.forget()
        self.smano.forget()
        self.carta.forget()

    def ripristinamenu(self):
        self.filemb.config(text=lfile)
        self.aiutomb.pack(self.dpL)

    ### Mostra/Nasconde elementi delle Viste
    def mostracarta(self):
        self.carta.pack(self.dpRBE)
    def nascondicarta(self):
        self.carta.forget()

    def mostratavolo(self):
        self.dimenticainfo()
#        self.guardamano()
        self.mostracarta()

    def guardamano(self):
        self.mostratavolo()
        self.vmano.pack(self.dpLB,anchor=NW)
        self.lmano.pack(self.dpLB)
        self.smano.pack(self.dpLB)
    def nascondimano(self):
        self.vmano.forget()
        self.lmano.forget()
        self.smano.forget()

    def guardagioco(self):
        self.mostratavolo()
        self.vgioco.pack(self.dpLB)
        self.lgioco.pack(self.dpLB)
        self.sgioco.pack(self.dpRB)
    def nascondigioco(self):
        self.vgioco.forget()
        self.lgioco.forget()
        self.sgioco.forget()

    def guardacimitero(self):
        self.mostratavolo()
        self.vcimitero.pack(self.dpLB)
        self.lcimitero.pack(self.dpLBE)
        self.scimitero.pack(self.dpRB)
    def nascondicimitero(self):
        self.vcimitero.forget()
        self.lcimitero.forget()
        self.scimitero.forget()

    def guardagrimorio(self):
        self.mostratavolo()
        self.vgrimorio.pack(self.dpLB)
        self.lgrimorio.pack(self.dpLBE)
        self.sgrimorio.pack(self.dpRB)
        self.log(lguardandogrimorio)
    def nascondigrimorio(self):
        self.vgrimorio.forget()
        self.lgrimorio.forget()
        self.sgrimorio.forget()
        self.log(lnoguardandogrimorio)

    def mostrainfo(self):
        self.dimenticatavolo()
        self.ripristinamenu()
        self.info.pack(self.dpBBE)
        self.vsu.pack(self.dpTBE,anchor=N)
        self.vmenu.pack(self.dpT,anchor=N)
        self.avatarg.pack(self.dpL)
        self.nomeg.pack(self.dpL)
        self.vitag.pack(self.dpL)
        self.avatara.pack(self.dpR)
        self.nomea.pack(self.dpR)
        self.vitaa.pack(self.dpR)
        self.vgiu.pack(self.dpBBE)
        self.messaggi.pack(self.dpTB)
        self.vlog.pack(self.dpB)
        self.slog.pack(self.dpRB)
        self.tlog.pack(self.dpL)

    ### ?Mazzo?
    def __init__(self, parent):
        if fmazzo!=None:
            nomemazzo=splitext(basename(fmazzo))[0]
        else:
            nomemazzo=lnocaricato
        titolo=str('PocketMTG - '+nomemazzo)
        parent.title(titolo)
#        parent.iconbitmap(dtheme+'PocketMTG.ico')

        ### Finestra contiene tutto
        self.finestra=NFrame(parent)
        self.finestra.pack(fill=BOTH,expand=1)
        ### Tavolo (su+giu)
        self.tavolo=NFrame(self.finestra)
        self.tavolo.pack(self.dpL,expand=1, fill=BOTH)#
        ### Vista di su
        self.vsu=NFrame(self.tavolo)
        ### Vista di giu'
        self.vgiu=NFrame(self.tavolo)

        ### Vista mano
        self.vmano=NFrame(self.tavolo)
        if OS=='ce':
            self.lmano=VNListbox(self.tavolo,height=8)
        else:
            self.lmano=VNListbox(self.tavolo)
        self.lmano.bind("<Double Button-1>",self.visualizzacarta)
        self.smano=Scrollbar(self.tavolo)
        self.smano['command']=self.lmano.yview
        self.lmano['yscrollcommand']=self.smano.set

        ### Vista Gioco
        self.vgioco=NFrame(self.vgiu)
        self.lgioco=ANListbox(self.vgioco,width=15)
        self.lgioco.bind("<Double Button-1>",self.visualizzacarta)
        self.sgioco=Scrollbar(self.vgioco)
        self.sgioco['command']=self.lgioco.yview
        self.lgioco['yscrollcommand']=self.sgioco.set

        ### Vista Cimitero
        self.vcimitero=NFrame(self.vgiu)
        self.lcimitero=RNListbox(self.vcimitero,width=15)#,height=8
        self.lcimitero.bind("<Double Button-1>",self.visualizzacarta)
        self.scimitero=Scrollbar(self.vcimitero)
        self.scimitero.pack(self.dpRB)
        self.scimitero['command']=self.lcimitero.yview
        self.lcimitero['yscrollcommand']=self.scimitero.set

        ### Vista Grimorio
        self.vgrimorio=NFrame(self.vgiu)
        self.lgrimorio=BNListbox(self.vgrimorio,width=15)#,height=8
        self.lgrimorio.bind("<Double Button-1>",self.visualizzacarta)
        self.sgrimorio=Scrollbar(self.vgrimorio,command=self.lgrimorio.yview)
        self.lgrimorio['yscrollcommand']=self.sgrimorio.set

        ### Vista informazioni
        self.info=NFrame(self.finestra)
        self.vmenu=NFrame(self.vsu)
        self.imgg=PhotoImage(file=dtheme+'Giocatore.gif')
        self.avatarg=RNLabel(self.vsu,image=self.imgg)
        self.nomeg=RNLabel(self.vsu,text=giocatore)
        self.vitag=MNEntry(self.vsu,width=3)
        self.vitag.bind("<Leave>",self.intero)
        self.nomea=RNLabel(self.vsu,text=avversario)
        self.vitaa=MNEntry(self.vsu,width=3)
        self.vitaa.bind("<Leave>",self.intero)
        self.imga=PhotoImage(file=dtheme+'Avversario.gif')
        self.avatara=RNLabel(self.vsu,image=self.imga)
        self.messaggi=RNEntry(self.vgiu)
        self.messaggi.bind("<Return>",self.inviamessaggio)
        self.vlog=NFrame(self.vgiu)
        self.slog=Scrollbar(self.vlog)
        self.tlog=RNText(self.vlog)
        self.slog['command']=self.tlog.yview
        self.tlog['yscrollcommand']=self.slog.set

        ### Visualizza Carta
        self.img=PhotoImage(file=dtheme+'DeckMaster.gif')
        self.carta=RNLabel(self.finestra,image=self.img,anchor=E)

        ### Menu'
### File
        self.filemb=ANMenuB(self.vmenu, text=lfile)
        self.filemb.pack(self.dpL)
        self.filem=ANMenu(self.filemb,tearoff=0)
        self.filemb.config(menu=self.filem)
        self.filem.add_command(label=laprim,command=self.apri)
        self.filem.add_separator()
        self.filem.add_command(label=lcaricap,command=self.x)
        self.filem.add_command(label=lsalvap,command=self.x)
        self.filem.add_command(label=lsalvalog,command=self.salvalog)
        self.filem.add_separator()
        self.filem.add_command(label=lpreferenze,command=self.x)
        self.filem.add_separator()
        self.filem.add_command(label=lesci,command=self.esci)

### Azioni
        self.azionimb=BNMenuB(self.vmenu,text=lazioni)
        self.azionimb.pack(self.dpL)
        self.azionim=ANMenu(self.azionimb)
        self.azionimb["menu"]=self.azionim
### Azioni ->Pesca
        self.apesca=ANMenu(self.azionimb)
        self.azionim.add_cascade(label=lpesca,menu=self.apesca)
        self.apesca.add_command(label='1 '+lcarta,command=self.pescacarta)
        self.apesca.add_command(label='7 '+lcarte+'/Mulligan',command=self.mulligan)
        self.apesca.add_separator()
        self.apesca.add_command(label=lpesca+' X '+lcarte+'...',command=self.x)
### Azioni ->Gioco
        self.azionim.add_separator()
        self.agioco=ANMenu(self.azionimb,tearoff=0)
        self.azionim.add_cascade(label=lngioco,menu=self.agioco)
        self.agioco.add_command(label=ltappa,command=self.tappa)
        self.agioco.add_command(label=lstappa,command=self.stappa)
        self.agioco.add_command(label=lstappatutto,command=self.stappatutto)
        self.agioco.add_separator()
        self.agioco.add_command(label=lcreapedina,command=self.x)
### Azioni ->Grimorio
        self.agrimorio=ANMenu(self.azionimb,tearoff=0)
        self.azionim.add_cascade(label=lngrimorio,menu=self.agrimorio)
        self.agrimorio.add_command(label=lmescola,command=self.mescolagrimorio)
        self.agrimorio.add_command(label=lordina,command=self.ordinagrimorio)
        self.azionim.add_separator()
### Azioni ->Tira
        self.alancia=ANMenu(self.azionimb,tearoff=0)
        self.azionim.add_cascade(label=lcaso,menu=self.alancia)
        self.alancia.add_command(label=ld20,command=self.tirad20)
        self.alancia.add_command(label=llanciamoneta,command=self.lanciamoneta)
###
        self.azionim.add_separator()
        self.azionim.add_command(label=lazzeragioco,command=self.puliscigioco)

### Zone
        self.zonemb=BNMenuB(self.vmenu,text=lzone)
        self.zonemb.pack(self.dpL)
        self.zonem=ANMenu(self.zonemb,tearoff=0)
        self.zonemb["menu"]=self.zonem
        self.zonem.add_command(label=ltavolo,command=self.mostratavolo)
        self.zonem.add_command(label=linfo,command=self.mostrainfo)
        self.zonem.add_separator()
### Zone ->Mano
        self.zmano=ANMenu(self.zonemb,tearoff=0)
        self.zonem.add_cascade(label=lnmano,menu=self.zmano)
        self.zmano.add_command(label=lguarda,command=self.guardamano)
        self.zmano.add_command(label=lnascondi,command=self.nascondimano)
        self.zmano.add_separator()
        self.zmano.add_command(label=lguardaa,command=self.x)
        self.zmano.add_command(label=lnascondia,command=self.x)
### Zone ->Gioco
        self.zgioco=ANMenu(self.zonemb,tearoff=0)
        self.zonem.add_cascade(label=lngioco,menu=self.zgioco)
        self.zgioco.add_command(label=lguarda,command=self.guardagioco)
        self.zgioco.add_command(label=lnascondi,command=self.nascondigioco)
        self.zgioco.add_separator()
        self.zgioco.add_command(label=lordina,command=self.ordinagioco)
### Zone ->Cimitero
        self.zcimitero=ANMenu(self.zonemb,tearoff=0)
        self.zonem.add_cascade(label=lncimitero,menu=self.zcimitero)
        self.zcimitero.add_command(label=lguarda,command=self.guardacimitero)
        self.zcimitero.add_command(label=lnascondi,command=self.nascondicimitero)
        self.zcimitero.add_separator()
        self.zcimitero.add_command(label=lguardaa,command=self.x)
        self.zcimitero.add_command(label=lnascondia,command=self.x)
### Zone ->Grimorio
        self.zgrimorio=ANMenu(self.zonemb,tearoff=0)
        self.zonem.add_cascade(label=lngrimorio,menu=self.zgrimorio)
        self.zgrimorio.add_command(label=lguarda,command=self.guardagrimorio)
        self.zgrimorio.add_command(label=lnascondi,command=self.nascondigrimorio)
        self.zgrimorio.add_separator()
        self.zgrimorio.add_command(label=lguardaa,command=self.x)
        self.zgrimorio.add_command(label=lnascondia,command=self.x)
###
        self.zonem.add_separator()
        self.zonem.add_command(label=lguardaimg,command=self.mostracarta)
        self.zonem.add_command(label=lnascondiimg,command=self.nascondicarta)
        self.zonem.add_separator()
        self.zonem.add_command(label=lcontazone,command=self.contazone)

### Carta
        self.cartamb=BNMenuB(self.vmenu,text=lcarta)
        self.cartamb.pack(self.dpLBE)
        self.cartam=ANMenu(self.cartamb)
        self.cartamb["menu"] = self.cartam
### Carta ->Gioco
        self.cgioco=ANMenu(self.cartamb,tearoff=0)
        self.cartam.add_cascade(label=lngioco,menu=self.cgioco)
        self.cgioco.add_command(label=lgioca,command=self.giocacarta)
        self.cgioco.add_command(label=ltappa,command=self.tappa)
        self.cgioco.add_separator()
        self.cgioco.add_command(label=lattacca,command=self.attacca)
        self.cgioco.add_command(label=lblocca,command=self.blocca)
        self.cgioco.add_separator()
        self.cgioco.add_command(label=lsacrifica+'\\'+lincimitero,command=self.sacrifica)
        self.cgioco.add_command(label=linmano,command=self.mettiinmanogioco)
### Carta ->Mano
        self.cmano=ANMenu(self.cartamb,tearoff=0)
        self.cartam.add_cascade(label=lnmano,menu=self.cmano)
        self.cmano.add_command(label=lscarta,command=self.scartacarta)
        self.cmano.add_command(label=lscartacaso,command=self.scartacartacaso)
### Carta ->Cimitero
        self.ccimitero=ANMenu(self.cartamb,tearoff=0)
        self.cartam.add_cascade(label=lncimitero,menu=self.ccimitero)
        self.ccimitero.add_command(label=linmano,command=self.mettiinmanocimitero)
### Carta ->Grimorio
        self.cgrimorio=ANMenu(self.cartamb,tearoff=0)
        self.cartam.add_cascade(label=lngrimorio,menu=self.cgrimorio)
        self.cgrimorio.add_command(label=linmano,command=self.mettiinmanogrimorio)
        self.cgrimorio.add_command(label=linfondo,command=self.mettiinfondo)
        self.cgrimorio.add_command(label=lincima,command=self.mettiincima)
### Carta ->Imposta
        self.cartam.add_separator()
        self.cimposta=ANMenu(self.cartamb,tearoff=0)
        self.cartam.add_cascade(label=limposta,menu=self.cimposta)
        self.cimposta.add_command(label=limpostafr,command=self.x)
        self.cimposta.add_command(label=laggiunginota,command=self.x)
        self.cimposta.add_command(label=lcontatore,command=self.x)
###
        self.cartam.add_separator()
        self.cartam.add_command(label=lscambiac,command=self.x)

### Turni
        self.turnimb=BNMenuB(self.vmenu,text=lturni)
        self.turnimb.pack(self.dpL)
        self.turnim=ANMenu(self.turnimb)
        self.turnimb["menu"]=self.turnim
### Turni ->Inziale
        self.tiniziale=ANMenu(self.turnimb,tearoff=0)
        self.turnim.add_cascade(label=lfiniziale,menu=self.tiniziale)
        self.tiniziale.add_command(label=lfstap,command=self.tstap)
        self.tiniziale.add_command(label=lfmantenimento,command=self.tmantenimento)
        self.tiniziale.add_command(label=lfacquisizione,command=self.tacquisizione)
### Turni ->Principale
        self.turnim.add_command(label=lfprincipale,command=self.tprincipale)
### Turni ->Combattimento
        self.tcombattimento=ANMenu(self.turnimb,tearoff=0)
        self.turnim.add_cascade(label=lfcombattimento,menu=self.tcombattimento)
        self.tcombattimento.add_command(label=lfinizioc,command=self.tinizioc)
        self.tcombattimento.add_command(label=lfattaccanti,command=self.tattaccanti)
        self.tcombattimento.add_command(label=lfbloccanti,command=self.tbloccanti)
        self.tcombattimento.add_command(label=lfdanni,command=self.tdanni)
        self.tcombattimento.add_command(label=lffinec,command=self.tfinec)
### Turni ->Principale2
        self.turnim.add_command(label=lfprincipale2,command=self.tprincipale2)
### Turni ->Finale
        self.tfinale=ANMenu(self.turnimb,tearoff=0)
        self.turnim.add_cascade(label=lffinale,menu=self.tfinale)
        self.tfinale.add_command(label=lffinet,command=self.tfine)
        self.tfinale.add_command(label=lfcancellazione,command=self.tcancellazione)
###
        self.turnim.add_separator()
        self.turnim.add_command(label=lffinet+'!',command=self.tfine)

### Aiuto
        self.aiutomb=ANMenuB(self.vmenu,text=laiuto+'...')
        self.aiutomb.pack(self.dpL)
        self.aiutom=ANMenu(self.aiutomb,tearoff=0)
        self.aiutomb["menu"]=self.aiutom
        self.aiutom.add_command(label='About',command=self.about)
        self.aiutom.add_separator()
        self.aiutom.add_command(label=lleggimi,command=self.leggimi)
        self.aiutom.add_command(label=lcontattami,command=self.x)

        ### Binding della tastiera
        self.finestra.bind_all("<Control-o>",self.apri)
        self.finestra.bind_all("<Control-q>",self.esci)
        self.finestra.bind_all("<Control-d>",self.pescacarta)
        self.finestra.bind_all("<Control-i>",self.tirad20)
        self.finestra.bind_all("<Control-f>",self.lanciamoneta)
        self.finestra.bind_all("<Control-s>",self.mescolagrimorio)
        self.finestra.bind_all("<Control-m>",self.mulligan)
        self.finestra.bind_all("<Control-g>",self.giocacarta)
        ### Binding dei tasti (NN implementato)
        self.finestra.bind_all("196",self.mulligan)#0xC1 #0x86
        self.finestra.bind_all("195",self.x)

        ### Procedure di inizializzazione
        self.dimenticatavolo()
        self.mostrainfo()
        self.tlog.insert(END,' '+lbenvenuto+', '+giocatore+'! (PocketMTG v.0.1.4)\n')
        if fmazzo!=None:
            deckfile=basename(fmazzo)
            self.syslog('Ha caricato: '+deckfile)
            self.importadeck(fmazzo)
        else:
            self.syslog(lnomazzo)
        self.nmulligan=8

        ### Intercettazione di chiusura
        root.protocol("WM_DELETE_WINDOW", self.esci)

### Configura le misure della finestra sotto CE
if __name__ == '__main__':
    root = Tk()
    if OS=='ce':
        sizex,sizey=root.wm_maxsize()
        root.wm_geometry("%dx%d+%d+%d"%(sizex,sizey-26,-3,2))
        ### Controlli di landscape
        risoluzione=str(sizex)+'x'+str(sizey)
        if sizex<sizey: print '('+risoluzione+') \n'+conflingua.get('Messaggi','landscape')

    ### Partenza del codice...
    mazzo = Mazzo(root)
    root.mainloop()
    root.quit()
